From 841500c784ac5253e9eaf9afecd6ce125e8bf1ad Mon Sep 17 00:00:00 2001
From: Anand Moon <linux.amoon@gmail.com>
Date: Tue, 14 Jul 2020 12:13:17 +0530
Subject: [PATCH] usb: dwc3: meson-g12a: drop reset controller call from
 suspend and resume

Drop the reset controller call from suspend and resume.

Signed-off-by: Anand Moon <linux.amoon@gmail.com>
---
 drivers/usb/dwc3/dwc3-meson-g12a.c | 4 ----
 1 file changed, 4 deletions(-)

diff --git a/drivers/usb/dwc3/dwc3-meson-g12a.c b/drivers/usb/dwc3/dwc3-meson-g12a.c
index 1f7f4d88ed9d..0c0ea55215cb 100644
--- a/drivers/usb/dwc3/dwc3-meson-g12a.c
+++ b/drivers/usb/dwc3/dwc3-meson-g12a.c
@@ -876,8 +876,6 @@ static int __maybe_unused dwc3_meson_g12a_suspend(struct device *dev)
 		phy_exit(priv->phys[i]);
 	}
 
-	reset_control_assert(priv->reset);
-
 	return 0;
 }
 
@@ -886,8 +884,6 @@ static int __maybe_unused dwc3_meson_g12a_resume(struct device *dev)
 	struct dwc3_meson_g12a *priv = dev_get_drvdata(dev);
 	int i, ret;
 
-	reset_control_deassert(priv->reset);
-
 	ret = priv->drvdata->usb_init(priv);
 	if (ret)
 		return ret;
-- 
2.25.1

